MatrixTest.cpp File Reference
`#include "stdinc.h"`
`#include "Matrix.h"`
`#include "tests.h"`
`#include "BigIntVector.h"`

Go to the source code of this file.

## Functions

| TEST (Matrix, Basic)
| TEST (Matrix, Resize)
| TEST (Matrix, Swap)
| TEST (Matrix, Transpose)
| TEST (Matrix, AddMultiplyRow)
| TEST (Matrix, MultiplyRows)
| TEST (Matrix, SwapRows)
| TEST (Matrix, RowReduceAndFully1)
| TEST (Matrix, RowReduceAndFully2)
| TEST (Matrix, RowReduceAndFully3)
| TEST (Matrix, RowReduceAndFully4)
| TEST (Matrix, SubMatrix)
| TEST (Matrix, Inverse)
| TEST (Matrix, NullSpace1)
| TEST (Matrix, NullSpace2)
| TEST (Matrix, NullSpace3)
| TEST (Matrix, Solve1)
| TEST (Matrix, Solve2)
| TEST (Matrix, Solve3)
| TEST (Matrix, Print)
| TEST (Matrix, Determinant)
| TEST (Matrix, IsParallelogram)
| TEST (Matrix, GetParallelogramArea)

## Function Documentation

## TEST() [1/23]

TEST | ( | Matrix | ,
|  | AddMultiplyRow | )

Definition at line 122 of file MatrixTest.cpp.

## TEST() [2/23]

TEST | ( | Matrix | ,
|  | Basic | )

Definition at line 59 of file MatrixTest.cpp.

## TEST() [3/23]

TEST | ( | Matrix | ,
|  | Determinant | )

Definition at line 348 of file MatrixTest.cpp.

## TEST() [4/23]

TEST | ( | Matrix | ,
|  | GetParallelogramArea | )

Definition at line 400 of file MatrixTest.cpp.

## TEST() [5/23]

TEST | ( | Matrix | ,
|  | Inverse | )

Definition at line 238 of file MatrixTest.cpp.

## TEST() [6/23]

TEST | ( | Matrix | ,
|  | IsParallelogram | )

Definition at line 374 of file MatrixTest.cpp.

## TEST() [7/23]

TEST | ( | Matrix | ,
|  | MultiplyRows | )

Definition at line 144 of file MatrixTest.cpp.

## TEST() [8/23]

TEST | ( | Matrix | ,
|  | NullSpace1 | )

Definition at line 255 of file MatrixTest.cpp.

## TEST() [9/23]

TEST | ( | Matrix | ,
|  | NullSpace2 | )

Definition at line 273 of file MatrixTest.cpp.

## TEST() [10/23]

TEST | ( | Matrix | ,
|  | NullSpace3 | )

Definition at line 285 of file MatrixTest.cpp.

## TEST() [11/23]

TEST | ( | Matrix | ,
|  | Print | )

Definition at line 336 of file MatrixTest.cpp.

## TEST() [12/23]

TEST | ( | Matrix | ,
|  | Resize | )

Definition at line 75 of file MatrixTest.cpp.

## TEST() [13/23]

TEST | ( | Matrix | ,
|  | RowReduceAndFully1 | )

Definition at line 166 of file MatrixTest.cpp.

## TEST() [14/23]

TEST | ( | Matrix | ,
|  | RowReduceAndFully2 | )

Definition at line 181 of file MatrixTest.cpp.

## TEST() [15/23]

TEST | ( | Matrix | ,
|  | RowReduceAndFully3 | )

Definition at line 201 of file MatrixTest.cpp.

## TEST() [16/23]

TEST | ( | Matrix | ,
|  | RowReduceAndFully4 | )

Definition at line 211 of file MatrixTest.cpp.

## TEST() [17/23]

TEST | ( | Matrix | ,
|  | Solve1 | )

Definition at line 304 of file MatrixTest.cpp.

## TEST() [18/23]

TEST | ( | Matrix | ,
|  | Solve2 | )

Definition at line 316 of file MatrixTest.cpp.

## TEST() [19/23]

TEST | ( | Matrix | ,
|  | Solve3 | )

Definition at line 326 of file MatrixTest.cpp.

## TEST() [20/23]

TEST | ( | Matrix | ,
|  | SubMatrix | )

Definition at line 221 of file MatrixTest.cpp.

## TEST() [21/23]

TEST | ( | Matrix | ,
|  | Swap | )

Definition at line 100 of file MatrixTest.cpp.

## TEST() [22/23]

TEST | ( | Matrix | ,
|  | SwapRows | )

Definition at line 153 of file MatrixTest.cpp.

## TEST() [23/23]

TEST | ( | Matrix | ,
|  | Transpose | )

Definition at line 112 of file MatrixTest.cpp.